Runtime

## org.eclipse.gmf.runtime.emf.ui.services.parser
Interface ISemanticParser

All Superinterfaces:
  IParser

    public interface ISemanticParser

extends IParser

Parser that permit the clients to register themselves with the semantic element changes with the event handler. If the the semantic element has semantic children then the Parser will also register the listener so it can listener to changes in them to.

Method Summary
`boolean` `areSemanticElementsAffected(org.eclipse.emf.ecore.EObject listener, java.lang.Object notification)` Determines if the event affects the semantic elements the parser uses to display strings.
`java.util.List` `getSemanticElementsBeingParsed(org.eclipse.emf.ecore.EObject element)` Obtains the semantic elements which this parser uses to formulate text for the specified `element`.

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.parser.IParser
`getCompletionProcessor, getEditString, getParseCommand, getPrintString, isAffectingEvent, isValidEditString`

Method Detail

### getSemanticElementsBeingParsed

    java.util.List getSemanticElementsBeingParsed(org.eclipse.emf.ecore.EObject element)

  Obtains the semantic elements which this parser uses to formulate text for the specified `element`.

  Parameters:
    `element` - The element that the receiver wishes to listen for changes on.
  Returns:
    List A list of semantic elements that this parser is responsible for parsing. This should include the `element` itself and, optionally, other elements somehow related to it

### areSemanticElementsAffected

    boolean areSemanticElementsAffected(org.eclipse.emf.ecore.EObject listener,
                                        java.lang.Object notification)

  Determines if the event affects the semantic elements the parser uses to display strings. If true, the client should update the semantic elements to listen to

  Parameters:
    `listener` - the receiver (listener) of the event
    `notification` - the event notification
  Returns:
    `true` if the event affects the semantic elements, otherwise `false`.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.